[phpMy 수정Admin] 구성 file 이제 비밀 암호 구가 필요합니다 (blowfish_secret)

설치 여부 phpMyAdmin 서버 우분투, CentOS 또는 등 페도라 배포, 메시지 "구성 file 이제 비밀 암호 구가 필요합니다 (blowfish_secret)"색인 하단에 빨간색이 있으면 두통이 생깁니다. 특히 "에서 올바르게 구성된 경우/ 기타 / phpMyAdmin/config.inc.php".
물론 경로는 구성마다 다를 수 있지만 CentOS 7 cu phpMyAdmin "를 통해 설치"에서"remi.repo", 구성 파일은 다음 위치에 있습니다." / etc / phpMyAdmin/ ".

좋아, 어떻게 해결하는지 보자 "구성 file 이제 비밀 암호 구가 필요합니다 (blowfish_secret)",있는 경우 config.inc.php를 우리는이 라인을 가지고 :

$cfg['blowfish_secret'] = 'gNsWq$%#%$#%EDFSsffsegbVp6LCJw6w'; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */

이 줄이 있고 32자 이상의 "키"가 있는 경우 phpMy에서 빨간색 메시지Admin 사라져야 합니다.
이것이 발생하지 않으면 브라우저의 쿠키를 지우고 phpMy에서 로그아웃하는 것이 가장 좋습니다.Admin. 다음에 로그인할 때 "구성 file 이제 비밀 암호 구가 필요합니다 (blowfish_secret)"그는 더 이상 존재하지 않을 것입니다.
상황이 있지만 그것은 존재하는 잘못된 때문에하지 config.inc.php 파일은 폴더 권한 그가 있었다.

실행 terminal 명령줄:

 chown -R root:<user web> /etc/phpMyAdmin/

이제 모든 것이 정상입니다. "웹 사용자"대신 Apache를 사용하는 경우 "httpd", "nginx"또는 서버에 웹 프로세스 사용자가있는 방법을 설정하십시오.

2시간 이상 모든 phpMy 설정을 살펴보았기 때문에 이 팁을 작성했습니다.Admin, 그리고 우리는 여전히 메시지를 제거할 수 없습니다: 구성 file 이제 비밀 암호 (blowfish_secret)가 필요합니다. 권한 / 그룹을 확인한 후 사라졌습니다.

방법 » Linux » MySQL의 » [phpMy 수정Admin] 구성 file 이제 비밀 암호 구가 필요합니다 (blowfish_secret)

설립자와 편집자 Stealth Settings, 2006년부터 현재까지. 운영 체제에 대한 경험 Linux (특히 CentOS), Mac OS X, Windows XP> Windows 10 si WordPress (시엠에스).

"[Fix phpMy]에 대한 5개의 생각Admin] 구성 file 이제 비밀 암호 (blowfish_secret)가 필요합니다.”

  1. 마이너 벤더 설정(in / usr / share / phpmyadmin/라이브러리/vendor_config.php):

    정의('CONFIG_DIR', '/ etc/phpmyadmin');

    Hier fehlte der Backslash, 또한 :

    정의('CONFIG_DIR', '/ etc/phpmyadmin/ ');

    Danach klappte es auch mit dem Secret

    댓글

코멘트를 남겨